$.mobile.allowCrossDomainPages = true; 

var og_filter = ['team_sca', 'quiz', 'sailing', 'fitness', 'sca'];
var feed_filter = og_filter;

function makeBalls() {
    $('#feed .the_content, #home .the_content').html('')
    $.ajax({
        url: "http://www.teamsca.com/ios/feed.json",
        dataType: "json",
        async: true,
        success: function (result) {
            $.each(result, function(i, row) {
                makeBall(row)
            });
        },
        error: function (request,error) {
            alert('Network error has occurred please try again!');
        }
    }); 
}

$(document).on('pageinit', '#home,#feed', function(){          
    makeBalls()        
});

$(document).on("vclick", '.the_filter', function (event) {
    event.preventDefault()
    if ($('.slidey-out-menu').css('right') == '0px') {
        $('.slidey-out-menu').css('right', -160);
    } else{
        $('.slidey-out-menu').css('right', 0);
    }
});


$(document).on('vclick', 'a', function(event){
    if ($(this).attr('href').indexOf("http://") > -1) {
        event.preventDefault();
        window.open($(this).attr('href'));
    }
    if ($(this).attr('href').indexOf("video://") > -1) {
        event.preventDefault();
        window.open($(this).attr('href').replace('video://','http://www.youtube.com/watch?v='));
    };  
});

$(document).on('vclick', '.slidey-out-menu li', function(){
   if ($(this).hasClass('active')) {
    $(this).removeClass('active');
    feed_filter = og_filter;
    } else {
        $('.slidey-out-menu li').removeClass('active');
        feed_filter = [$(this).attr('class')];
        $(this).addClass('active');
    }
    makeBalls();       
});

function makeBall(data) {
    if ('other_image' in data) {
        var string = '<dic class="balls"><a class="ball2" href="'+data.url+'"><img src="img/'+data.icon+'.png" /></a><a class="ball3" href="'+data.other_image.url+'"><img src="img/'+data.other_image.icon+'.png" /></div>';
    } else {
        var string = '<a class="ball1" style="background-image:url('+data.image+')" href="'+data.url+'">';
        if ('icon' in data) {
            string += '<img src="img/'+data.icon+'.png" />';
        };
    }
    if (data.section == 'sca' || data.section == 'team_sca') {
     $('#home .the_content').append(string+'</a>')
 }
 if ($.inArray(data.section, feed_filter) > -1) {
     $('#feed .the_content').append(string+'</a>')
 };
}